Package org.codehaus.groovy.runtime.metaclass

# Class ConcurrentReaderHashMap.KeyIterator

java.lang.Object
org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.HashIterator
org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.KeyIterator

All Implemented Interfaces:
  `Enumeration`, `Iterator`

Enclosing class:
  ConcurrentReaderHashMap

protected class ConcurrentReaderHashMap.KeyIterator extends ConcurrentReaderHashMap.HashIterator

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.HashIterator

  `currentKey, currentValue, entry, index, lastReturned, tab`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `KeyIterator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `returnValueOfNext()`

  ### Methods inherited from class org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.HashIterator

  `hasMoreElements, hasNext, next, nextElement, remove`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Enumeration

  `asIterator`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### KeyIterator

    protected KeyIterator()

- ## Method Details

  - ### returnValueOfNext

    protected Object returnValueOfNext()
    Overrides:
      `returnValueOfNext` in class `ConcurrentReaderHashMap.HashIterator`